summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tlpkginfo
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-10-29 22:53:30 +0000
committerKarl Berry <karl@freefriends.org>2010-10-29 22:53:30 +0000
commit5450380e116e99e8bbfc0c08ec36ab0bba813883 (patch)
treeebc4ad1dac2f862aa06dd26ad3546af2f34a65cf /Master/tlpkg/bin/tlpkginfo
parent747bb7f6b4cca168ae9956545c18f96d8bf23d24 (diff)
adobemapping (29oct10)
git-svn-id: svn://tug.org/texlive/trunk@20247 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tlpkginfo')
-rwxr-xr-xMaster/tlpkg/bin/tlpkginfo27
1 files changed, 16 insertions, 11 deletions
diff --git a/Master/tlpkg/bin/tlpkginfo b/Master/tlpkg/bin/tlpkginfo
index 8e4291376ef..2b3b6aaa44f 100755
--- a/Master/tlpkg/bin/tlpkginfo
+++ b/Master/tlpkg/bin/tlpkginfo
@@ -28,9 +28,10 @@ sub main
# special packages from latex-tds project; used by prepare()
$corelatex_tds_pkgs = "babel|cyrillic|graphics|latex|psnfss|tools";
- $amslatex_tds_pkgs = "ams|amsrefs|amsmath"; # for tlpsrc_find_catalogue() too
- $latex_tds_pkgs = "amsfonts|latex-tds|knuth|$amslatex_tds_pkgs|$corelatex_tds_pkgs";
+ $amslatex_tds_pkgs = "amscls|amsrefs|amsmath"; # tlpsrc_find_catalogue() too
+ $latex_tds_pkgs = "latex-tds|knuth|$amslatex_tds_pkgs|$corelatex_tds_pkgs";
$latex_tds_dir = "$CTAN/macros/latex/contrib/latex-tds";
+ # (amsfonts and amstex are handled from the originals.)
# the CJK material is split into several packages.
$cjk_pkgs = "bin-(cjk|ttf)utils|dnp|(|garuda-|norasi-)c90";
@@ -281,6 +282,11 @@ sub prepare
} elsif ($pkg eq "musixtex") {
$tds_path = "$CTAN/macros/musixtex/musixtex-texmf.zip";
+ # ...and except for amsfonts ...
+ } elsif ($pkg eq "amsfonts") {
+ # CTAN apparently doesn't want to put this in install:
+ $tds_path = "$CTAN/fonts/amsfonts/amsfonts.zip";
+
# ...and except for files in latex-tds...
} elsif ($pkg =~ /^($latex_tds_pkgs)$/) {
if ($pkg =~ /^($amslatex_tds_pkgs)$/) {
@@ -291,8 +297,6 @@ sub prepare
# and more exceptions to the exceptions:
$tds_path = "$latex_tds_dir/source.tds.zip" if $pkg eq "latex-tds";
$tds_path = "$latex_tds_dir/base.tds.zip" if $pkg eq "latex";
- # CTAN apparently doesn't want to put this in install:
- $tds_path = "$CTAN/fonts/amsfonts/amsfonts.zip" if $pkg eq "amsfonts";
}
return $ctan_loc unless (-s $tds_path);
@@ -300,13 +304,14 @@ sub prepare
# now we have a tds, so unzip it in a tmpdir
my $tmpdir = &copy_to_tmpdir ($pkg);
system ("unzip -q $tds_path -d $tmpdir");
+
# put a flag for ctan2tds' donormal() to work
system ("echo $tds_path >$tmpdir/TDS_READY");
- # more problems with amsmath: we got all three packages together,
- # we now have to remove the unwanted ones...
+ # problems with amslatex packages: they are all bundled together,
+ # we now have to remove the unwanted ones.
if ($pkg =~ /^($amslatex_tds_pkgs)$/) {
- chdir ($tmpdir);
+ chdir ($tmpdir) || die "chdir($tmpdir) failed: $!";
my @deldir = ();
# List of subsubdirectories, at the package level.
chomp (my @dirlist = `find */*/* -type d | sort -u`);
@@ -328,11 +333,11 @@ sub copy_to_tmpdir
my $pkgdir = "$TMPDIR/tl.$pkgname";
system ("rm -rf $pkgdir");
- mkdir ($pkgdir, 0777);
-
- # warn "$0: copying single file $src\n";
+ mkdir ($pkgdir, 0777) || die "mkdir($pkgdir) failed: $!";
- system ("cp -p '$src' '$pkgdir/'") if $src;
+ # copying single file $src ...
+ system ("cp -p '$src' '$pkgdir/'")
+ if $src;
# special cases
if ($pkgname eq "cc-pl") {